@function truncate-width($max-chars) {
    @return #{$max-chars}ch;
}

@mixin truncate($max-chars: 100) {
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: truncate-width($max-chars);
}

.truncate-100 {
    @include truncate(100);
}